* [gentoo-commits] repo/gentoo:master commit in: app-emacs/gnuplot-mode/files/, app-emacs/gnuplot-mode/
@ 2023-07-27 8:28 Maciej Barć
0 siblings, 0 replies; only message in thread
From: Maciej Barć @ 2023-07-27 8:28 UTC (permalink / raw
To: gentoo-commits
commit: 6616c4896942b5b9c12f3a41076d22933ae8dda6
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 27 07:50:45 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Jul 27 08:28:45 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6616c489
app-emacs/gnuplot-mode: remove broken tests
Closes: https://bugs.gentoo.org/911297
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/gnuplot-mode/files/gnuplot-mode-0.8.0-tests.patch | 11 +++++++++++
app-emacs/gnuplot-mode/gnuplot-mode-0.8.0.ebuild | 11 ++++++++++-
app-emacs/gnuplot-mode/gnuplot-mode-0.8.1.ebuild | 9 +++++++++
3 files changed, 30 insertions(+), 1 deletion(-)
diff --git a/app-emacs/gnuplot-mode/files/gnuplot-mode-0.8.0-tests.patch b/app-emacs/gnuplot-mode/files/gnuplot-mode-0.8.0-tests.patch
new file mode 100644
index 000000000000..9fbfc5d1f019
--- /dev/null
+++ b/app-emacs/gnuplot-mode/files/gnuplot-mode-0.8.0-tests.patch
@@ -0,0 +1,11 @@
+--- a/gnuplot-tests.el
++++ b/gnuplot-tests.el
+@@ -241,7 +241,7 @@ mutliple # lines #")
+ (gnuplot-test-comment gnuplot-comment-with-single-quotes
+ "# a comment 'containing a single-quoted string'")
+
+-(gnuplot-test-comment gnuplot-comment-with-single-quotes
++(gnuplot-test-comment gnuplot-comment-with-double-quotes
+ "# a comment \"containing a double-quoted string\"")
+
+ (gnuplot-test-comment gnuplot-comment-multiline-with-quotes
diff --git a/app-emacs/gnuplot-mode/gnuplot-mode-0.8.0.ebuild b/app-emacs/gnuplot-mode/gnuplot-mode-0.8.0.ebuild
index 184d2694c411..7f29b6b43591 100644
--- a/app-emacs/gnuplot-mode/gnuplot-mode-0.8.0.ebuild
+++ b/app-emacs/gnuplot-mode/gnuplot-mode-0.8.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -19,11 +19,20 @@ IUSE="doc"
BDEPEND="doc? ( virtual/latex-base )"
RDEPEND="sci-visualization/gnuplot[-emacs(-)]"
+PATCHES=( "${FILESDIR}"/${PN}-0.8.0-tests.patch )
+
SITEFILE="50${PN}-gentoo.el"
DOCS=(CHANGELOG.org README.org)
DOC_CONTENTS="Please see ${SITELISP}/${PN}/gnuplot.el for the complete
documentation."
+src_prepare() {
+ elisp_src_prepare
+
+ # Erase broken tests
+ echo "(provide 'gnuplot-test-context)" > gnuplot-test-context.el || die
+}
+
src_compile() {
elisp_src_compile
use doc && { pdflatex gpelcard || die; }
diff --git a/app-emacs/gnuplot-mode/gnuplot-mode-0.8.1.ebuild b/app-emacs/gnuplot-mode/gnuplot-mode-0.8.1.ebuild
index b010d25d2c01..f676e898131f 100644
--- a/app-emacs/gnuplot-mode/gnuplot-mode-0.8.1.ebuild
+++ b/app-emacs/gnuplot-mode/gnuplot-mode-0.8.1.ebuild
@@ -18,11 +18,20 @@ IUSE="doc"
BDEPEND="doc? ( virtual/latex-base )"
RDEPEND="sci-visualization/gnuplot"
+PATCHES=( "${FILESDIR}"/${PN}-0.8.0-tests.patch )
+
SITEFILE="50${PN}-gentoo.el"
DOCS=(CHANGELOG.org README.org)
DOC_CONTENTS="Please see ${SITELISP}/${PN}/gnuplot.el for the complete
documentation."
+src_prepare() {
+ elisp_src_prepare
+
+ # Erase broken tests
+ echo "(provide 'gnuplot-test-context)" > gnuplot-test-context.el || die
+}
+
src_compile() {
elisp_src_compile
use doc && { pdflatex gpelcard || die; }
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2023-07-27 8:28 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-07-27 8:28 [gentoo-commits] repo/gentoo:master commit in: app-emacs/gnuplot-mode/files/, app-emacs/gnuplot-mode/ Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox